Subject: Re: bug#45654: Building guile on x86_64 for aarch64 fails because of a missing guile

From: Stefan <[email-masked]>
Date: Wed, 6 Jan 2021 19:00:58 +0100

Hi Ludo’!

Thanks for caring!

> I don’t see why restarting the two services has no effect.  Could you
> compare the output of:
> 
>  guix gc -R $(cat /proc/sys/fs/binfmt_misc/qemu-aarch64 |grep interpreter|cut -d ' ' -f 2-)

> 
> with the ‘--chroot-directory’ flags shown by:
> 
>  cat /proc/$(LC_ALL=C sudo -E herd status guix-daemon | grep Running| sed -'es/.* \([0-9]\+\).*/\1/g')/cmdline | xargs -0 echo

There were no ‘--chroot-directory’ flags in my case. So I wondered what is wrong and re-read the manual. I figured that I managed to copy-paste the ‘wrong’ example code from the “Transparent Emulation with QEMU” section into my operating-system definition, the first one. I was missing (guix-support? #t).

I know that I read the ‘guix-support’ documentation before changing my operating-system. I think in the end   I copied the first example, I freshly navigated to the “Transparent Emulation with QEMU” chapter after looking-up something else, maybe also because it is mentioning the aarch64, which I needed.

So now it is working. Thanks again for you support. :-)

Would you accept a patch for the manual to contain (guix-support? #t) in the first example as well?

Actually I would even prefer a default change of ‘guix-support’ to #t.

Would it also possible to print some proper error message, if guix build is used with an unsupported ‘--system’ argument.

Bye

Stefan